Make WordPress Core

Changeset 56952


Ignore:
Timestamp:
10/17/2023 09:52:07 AM (7 months ago)
Author:
SergeyBiryukov
Message:

Twenty Nineteen: Correct the required WordPress version in theme headers.

The required version was previously set to two different values:

  • 4.7 in the theme's functions.php file.
  • 4.9.6 in theme headers, because of the the_privacy_policy_link() function usage in footer.php.

However, as the_privacy_policy_link() call is wrapped in a function_exists() check, it does not affect the requirements in practice.

This commit aims to correct the discrepancy by updating theme headers to match the actual required WP version.

Follow-up to [43808], [43892].

Props poena, kafleg, felipeelia, audrasjb, huzaifaalmesbah, shailu25, nicolefurlan, oglekler.
Fixes #59557.

Location:
trunk/src/wp-content/themes/twentynineteen
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-content/themes/twentynineteen/readme.txt

    r56315 r56952  
    22Contributors: wordpressdotorg
    33Tags: one-column, accessibility-ready, custom-colors, custom-menu, custom-logo, editor-style, featured-images, footer-widgets, rtl-language-support, sticky-post, threaded-comments, translation-ready, block-patterns
    4 Requires at least: 4.9.6
     4Requires at least: 4.7
    55Tested up to: 6.3
    66Requires PHP: 5.2.4
  • trunk/src/wp-content/themes/twentynineteen/style-rtl.css

    r56581 r56952  
    77Description: Our 2019 default theme is designed to show off the power of the block editor. It features custom styles for all the default blocks, and is built so that what you see in the editor looks like what you'll see on your website. Twenty Nineteen is designed to be adaptable to a wide range of websites, whether you’re running a photo blog, launching a new business, or supporting a non-profit. Featuring ample whitespace and modern sans-serif headlines paired with classic serif body text, it's built to be beautiful on all screen sizes.
    88Tested up to: 6.3
    9 Requires at least: 4.9.6
     9Requires at least: 4.7
    1010Requires PHP: 5.2.4
    1111Version: 2.6
  • trunk/src/wp-content/themes/twentynineteen/style.css

    r56315 r56952  
    77Description: Our 2019 default theme is designed to show off the power of the block editor. It features custom styles for all the default blocks, and is built so that what you see in the editor looks like what you'll see on your website. Twenty Nineteen is designed to be adaptable to a wide range of websites, whether you’re running a photo blog, launching a new business, or supporting a non-profit. Featuring ample whitespace and modern sans-serif headlines paired with classic serif body text, it's built to be beautiful on all screen sizes.
    88Tested up to: 6.3
    9 Requires at least: 4.9.6
     9Requires at least: 4.7
    1010Requires PHP: 5.2.4
    1111Version: 2.6
  • trunk/src/wp-content/themes/twentynineteen/style.scss

    r56315 r56952  
    66Description: Our 2019 default theme is designed to show off the power of the block editor. It features custom styles for all the default blocks, and is built so that what you see in the editor looks like what you'll see on your website. Twenty Nineteen is designed to be adaptable to a wide range of websites, whether you’re running a photo blog, launching a new business, or supporting a non-profit. Featuring ample whitespace and modern sans-serif headlines paired with classic serif body text, it's built to be beautiful on all screen sizes.
    77Tested up to: 6.3
    8 Requires at least: 4.9.6
     8Requires at least: 4.7
    99Requires PHP: 5.2.4
    1010Version: 2.6
Note: See TracChangeset for help on using the changeset viewer.